[Testing Update i686] 2018-10-25 to 11-14 - The Pretty Much Everything™ Update

update
testing
manjaro32

#62

The other question is, what remains broken due to the ICU update?

Everything I’ve tested under Xfce looks OK to me…


#63

MSM says I have a hunspell package but says it conflicts with the GB version which isn’t installed. & the dependency looks kinda goofy:
image

image


#64

This has been causing systemd segfaults both in Manjaro and upstream in Arch, Phil applied a patch (or maybe downgrade, not sure).

EDIT :

Didn’t fix the sddm Qt library version incompatible segfault, unfortunately, can still only boot into a live environment.


#65

No KDE or SDDM yet, so I may have to rebuild SDDM myself.

:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            autoconf             2.69-4.2             2.69-5.0
                            automake           1.16.1-1.0           1.16.1-1.1
                               bison              3.1-1.0              3.2-1.0
                        bridge-utils              1.6-2.1              1.6-3.0
                            cracklib            2.9.6-1.4            2.9.6-3.0
                                dbus          1.12.10-2.4          1.12.10-2.5
                           dbus-docs          1.12.10-2.4          1.12.10-2.5
                              dialog   1:1.3_20180621-1.1   1:1.3_20181022-1.0
                          dosfstools              4.1-1.2              4.1-2.0
                                  ed           1.14.2-1.2           1.14.2-2.0
                                flex            2.6.4-1.2            2.6.4-2.0
                                gdbm             1.18-1.1           1.18.1-1.0
                               glibc             2.28-5.0             2.28-5.2
                                 gmp            6.1.2-1.4            6.1.2-2.0
                               groff           1.22.3-7.4           1.22.3-8.1
                                gzip              1.9-1.1              1.9-2.0
                                 icu             63.1-2.0             63.1-2.1
                                 kbd            2.0.4-1.3            2.0.4-2.0
                              libaio          0.3.111-1.2          0.3.111-2.0
                            libevent            2.1.8-1.1            2.1.8-2.0
                              libffi            3.2.1-2.5            3.2.1-3.0
                             libidn2            2.0.5-1.4            2.0.5-1.5
                              libmnl            1.0.4-1.2            1.0.4-2.0
                           libsecret           0.18.6-1.2           0.18.6-1.3
                       libutil-linux           2.32.1-2.7             2.33-2.0
                               links             2.17-1.0             2.17-1.2
                                 lzo             2.10-1.2             2.10-2.0
                                  m4           1.4.18-1.2           1.4.18-2.0
                                make            4.2.1-2.3            4.2.1-3.0
                               patch            2.7.6-3.0            2.7.6-4.0
                            pinentry           1.1.0-4.14           1.1.0-4.15
                                 ppp              2.4.7-4            2.4.7-5.0
                          pptpclient           1.10.0-1.0           1.10.0-1.1
                              sdparm             1.10-1.1             1.10-2.0
                              shadow              4.6-1.2              4.6-1.3
                              sqlite           3.25.2-1.0           3.25.3-1.0
                     sqlite-analyzer           3.25.2-1.0           3.25.3-1.0
                          sqlite-doc           3.25.2-1.0           3.25.3-1.0
                          sqlite-tcl           3.25.2-1.0           3.25.3-1.0
                          traceroute            2.1.0-1.1            2.1.0-2.0
                          util-linux           2.32.1-2.7             2.33-2.0
                                zstd            1.3.6-1.0            1.3.7-1.0


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                              a52dec            0.7.4-9.1           0.7.4-10.0
                               boost           1.68.0-2.0           1.68.0-2.1
                          boost-libs           1.68.0-2.0           1.68.0-2.1
                            chromium     69.0.3497.92-1.0     70.0.3538.77-2.0
                   claws-mail-themes         20140629-1.1         20140629-1.2
                               cmake           3.12.3-1.0           3.12.4-1.1
                            compface            1.5.2-7.2            1.5.2-8.0
                                cpio             2.12-3.2             2.12-4.0
                              davfs2            1.5.4-1.1            1.5.4-2.0
                             doxygen           1.8.14-1.0           1.8.14-1.2
                        doxygen-docs           1.8.14-1.0           1.8.14-1.2
                         ebook-tools            0.2.2-4.1            0.2.2-5.0
                                 efl           1.21.1-1.0           1.21.1-1.1
                            efl-docs           1.21.1-1.0           1.21.1-1.1
                             gconfmm             2.28.3-4           2.28.3-4.1
                        gconfmm-docs             2.28.3-4           2.28.3-4.1
                                gegl            0.4.8-1.1            0.4.8-1.2
                             getmail              5.7-1.0              5.8-1.0
                                 git           2.19.1-1.0           2.19.1-1.1
                               gmime2.6.23+4+g91dcee38-2.02.6.23+4+g91dcee38-2.1
                     gnome-bluetooth           3.28.2-1.0           3.28.2-1.1
                       gnome-keyring         1:3.28.2-1.2         1:3.28.2-1.3
                      gnome-mahjongg  3.22.0+1+g55799c1-13.22.0+1+g55799c1-1.1
               gnome-settings-daemon           3.28.1-1.0         3.30.1.2-1.0
                        gnome-tweaks           3.28.1-2.0           3.30.1-1.0
                              gsound              1.0.2-2            1.0.2-2.1
                              gspell            1.8.1-1.0            1.8.1-1.1
                           gtk2-perl          1.24992-2.2          1.24992-2.3
                          gwaterfall              0.1-1.1              0.1-1.2
                               hwloc          1.11.10-1.1          1.11.11-1.0
                         icedtea-web                1.7-1              1.7-1.1
                     icedtea-web-doc                1.7-1              1.7-1.1
                               ipset             6.38-1.1              7.0-1.0
                              ispell           3.4.00-1.1           3.4.00-2.0
                             jsoncpp            1.8.4-2.1            1.8.4-2.2
                         jsoncpp-doc            1.8.4-2.1            1.8.4-2.2
                            kcalcore          18.08.2-1.0          18.08.3-1.0
                           kcontacts          18.08.2-1.0          18.08.3-1.0
                     kde-dev-scripts          18.08.2-1.0          18.08.3-1.0
                              kismet       2016_07_R1-1.1       2016_07_R1-2.0
                             libgit2         1:0.27.5-1.0         1:0.27.7-1.0
                       libjpeg-turbo            2.0.0-1.1            2.0.0-1.2
                           libkdcraw          18.08.2-1.0          18.08.3-1.0
                             libkipi          18.08.2-1.0          18.08.3-1.0
                    libmariadbclient          10.1.36-1.2          10.1.37-1.0
                        libqalculate            2.8.1-1.0            2.8.1-1.1
                   libreoffice-fresh            6.1.1-1.0            6.1.3-1.0
                   libreoffice-still            6.0.6-3.0            6.0.7-1.0
                            libshout          1:2.4.1-3.1          1:2.4.1-4.0
                          libstemmer            0+337-2.1            0+337-3.0
                           libunique            1.1.6-7.0            1.1.6-7.1
                           libunwind            1.2.1-1.1            1.2.1-1.2
                        libxkbcommon            0.8.2-1.1            0.8.2-1.2
                    libxkbcommon-doc            0.8.2-1.1            0.8.2-1.2
                    libxkbcommon-x11            0.8.2-1.1            0.8.2-1.2
                             mariadb          10.1.36-1.2          10.1.37-1.0
                     mariadb-clients          10.1.36-1.2          10.1.37-1.0
                                 mpd          0.20.21-1.0           0.21.1-1.0
                               mytop          10.1.36-1.2          10.1.37-1.0
                      perl-yaml-syck             1.30-5.1             1.31-1.0
                       python-django            2.1.2-1.1            2.1.3-1.0
                   python-markupsafe              1.0-2.2            1.1.0-1.0
                    python-pyparsing            2.2.2-1.0            2.3.0-1.0
                     python-requests           2.19.1-2.0           2.20.1-1.0
               python-zope-interface            4.5.0-2.1            4.6.0-1.0
                  python2-markupsafe              1.0-2.2            1.1.0-1.0
                   python2-pyparsing            2.2.2-1.0            2.3.0-1.0
                    python2-requests           2.19.1-2.0           2.20.1-1.0
              python2-zope-interface            4.5.0-2.1            4.6.0-1.0
                            rp-pppoe             3.12-3.0             3.12-3.1
                       smartmontools              6.6-1.2              6.6-2.0
                            snowball            0+337-2.1            0+337-3.0
                          subversion           1.10.3-1.0           1.11.0-1.0
                              thunar1.8.1.11.gf5147445-1.0            1.8.2-1.0
                                 uim            1.8.8-3.0            1.8.8-3.1
                               unzip             6.0-12.1             6.0-13.0
                             wayland           1.16.0-1.0           1.16.0-1.2
                        wayland-docs           1.16.0-1.0           1.16.0-1.2


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                                 0ad              a23-4.0              a23-6.0
 aarch64-linux-gnu-linux-api-headers             4.18-1.0             4.19-1.0
                             aegisub           3.2.2-28.0           3.2.2-30.0
                            antiword             0.37-6.1             0.37-7.0
                               aubio            0.4.6-7.0            0.4.7-1.0
                              babeld            1.8.3-1.0            1.8.4-1.0
                          bs1770gain           0.4.12-2.0            0.5.1-1.0
                             calibre           3.31.0-1.0           3.34.0-1.0
                              catch2            2.4.1-2.0            2.4.2-1.0
                             certbot           0.27.1-1.1           0.28.0-1.0
                      certbot-apache           0.27.1-1.2           0.28.0-1.0
              certbot-dns-cloudflare           0.27.1-1.2           0.28.0-1.0
                certbot-dns-cloudxns           0.27.1-1.1           0.28.0-1.0
                certbot-dns-dnsimple           0.27.1-1.1           0.28.0-1.0
             certbot-dns-dnsmadeeasy           0.27.1-1.2           0.28.0-1.0
                  certbot-dns-gehirn           0.27.1-1.2           0.28.0-1.0
                  certbot-dns-google           0.27.1-1.1           0.28.0-1.0
                  certbot-dns-linode           0.27.1-1.1           0.28.0-1.0
                  certbot-dns-luadns           0.27.1-1.1           0.28.0-1.0
                   certbot-dns-nsone           0.27.1-1.2           0.28.0-1.0
                     certbot-dns-ovh           0.27.1-1.1           0.28.0-1.0
                 certbot-dns-rfc2136           0.27.1-1.1           0.28.0-1.0
                 certbot-dns-route53           0.27.1-1.2           0.28.0-1.0
             certbot-dns-sakuracloud           0.27.1-1.1           0.28.0-1.0
                       certbot-nginx           0.27.1-1.2           0.28.0-1.0
                             compton              3.0-2.0              3.0-4.0
                          containerd            1.1.4-1.0            1.2.0-1.0
                               csfml              2.4-1.2              2.5-1.0
                         debootstrap          1.0.109-1.2          1.0.110-1.0
                   deepin-calculator            1.0.6-1.1            1.0.8-1.0
                         deepin-menu            3.4.0-1.0            3.4.0-1.1
                       deepin-mutter          3.20.34-1.0          3.20.34-1.1
                deepin-network-utils            0.0.4-1.1            0.0.6-1.0
                     deepin-terminal            3.0.5-1.0            3.0.9-1.0
                         dns-lexicon           2.7.14-1.0            3.0.1-2.0
                             dtkcore        1:2.0.9.4-1.1        1:2.0.9.5-1.0
                           dtkwidget          2.0.9.4-1.1          2.0.9.8-1.0
                           exploitdb         20181031-1.0         20181108-1.0
                           fcitx-qt5            1.2.3-2.0            1.2.3-3.0
                       ffmpeg2theora             0.30-4.1             0.30-4.5
                           freeimage           3.17.0-8.0           3.18.0-2.0
                              fwknop           2.6.10-1.0           2.6.10-1.1
                               glava            1.5.5-1.0            1.5.7-1.0
                           glbinding            2.1.4-1.0            2.1.4-2.0
                            glfw-doc              3.2.1-1            3.2.1-1.2
                        glfw-wayland              3.2.1-1            3.2.1-1.2
                            glfw-x11              3.2.1-1            3.2.1-1.2
                             httping              2.5-2.1              2.5-3.0
                              jgmenu            1.2.1-1.0              1.4-1.0
                                kim4            0.9.5-7.0            0.9.5-7.1
                               kitty           0.12.1-1.0           0.12.3-1.2
                             kpmcore            3.3.0-1.0            3.3.0-1.1
                           libhomfly           1.02r5-1.2           1.02r6-1.0
                               marco           1.20.2-1.1           1.20.2-1.2
                               mari0              1.6-3.0            1.6.2-1.0
                             netdata           1.11.0-1.0           1.11.0-2.0
                    nginx-mod-brotli          1:0.1.1-1.1          1:0.1.2-2.0
                    nginx-mod-geoip2              2.0-4.1              3.2-1.0
                       nginx-mod-njs            0.2.4-1.0            0.2.5-1.0
                                nmon              16g-1.2              16g-2.0
                              openra         20180923-1.0         20180923-1.1
                            openshot            2.4.3-1.0            2.4.3-1.1
                    otf-font-awesome            5.4.1-1.0            5.5.0-1.0
                               pdfjs         1.10.100-2.0          2.0.943-1.0
                            pianobar       2018.06.22-1.0       2018.06.22-1.1
                            powertop              2.9-1.1              2.9-2.0
                         proxytunnel        1.9.0.253-2.1        1.9.0.253-3.0
                         python-acme           0.27.1-1.0           0.28.0-1.0
                        python-aubio            0.4.6-7.0            0.4.7-1.0
                 python-digitalocean           1.13.2-2.1           1.14.0-1.0
                    python-filebytes           0.9.17-1.0           0.9.18-1.0
                           python-fs            2.1.1-1.0            2.1.2-1.0
                  python-json-logger            0.1.9-2.0           0.1.10-1.0
                      python-keyring           16.0.0-1.0           16.0.2-1.0
                  python-pymediainfo            2.3.0-2.0              3.0-1.0
                       python-pytest            3.9.3-1.0           3.10.0-1.0
                 python-pytest-sugar            0.9.1-2.0            0.9.2-1.0
                 python-pytest-xdist           1.24.0-1.0           1.24.1-1.0
                        python-regex       2018.11.03-1.0       2018.11.07-1.0
                    python-responses           0.10.2-1.0           0.10.3-1.0
                  python-ruamel-yaml          0.15.76-1.1          0.15.77-1.0
                    python-softlayer            5.6.0-1.0            5.6.3-1.0
               python-zope-component            4.4.1-2.0              4.5-1.0
                        python2-acme           0.27.1-1.0           0.28.0-1.0
                       python2-aubio            0.4.6-7.0            0.4.7-1.0
                python2-digitalocean           1.13.2-2.1           1.14.0-1.0
                   python2-filebytes           0.9.17-1.0           0.9.18-1.0
                          python2-fs            2.1.1-1.0            2.1.2-1.0
                 python2-json-logger            0.1.9-2.0           0.1.10-1.0
                     python2-keyring           16.0.0-1.0           16.0.2-1.0
                 python2-pymediainfo            2.3.0-2.0              3.0-1.0
                      python2-pytest            3.9.3-1.0           3.10.0-1.0
                python2-pytest-sugar            0.9.1-2.0            0.9.2-1.0
                python2-pytest-xdist           1.24.0-1.0           1.24.1-1.0
                       python2-regex       2018.11.03-1.0       2018.11.07-1.0
                   python2-responses           0.10.2-1.0           0.10.3-1.0
              python2-zope-component            4.4.1-2.0              4.5-1.0
              rapid-photo-downloader           0.4.11-5.0           0.9.13-1.0
                           ratpoison            1.4.9-1.2            1.4.9-2.0
                retroarch-assets-xmb             1:69-1.0             1:74-1.0
 riscv64-linux-gnu-linux-api-headers             4.16-1.0             4.19-1.0
                             routino              3.2-1.2              3.2-2.0
                           schedtool            1.3.0-4.1            1.3.0-6.0
                             scribus            1.5.4-1.0            1.5.4-5.0
                                sfml            2.5.0-2.3            2.5.1-1.0
                                sssd            2.0.0-1.0            2.0.0-1.1
                             tribler            7.1.2-1.0       7.2.0_exp1-2.0
                    ttf-font-awesome            5.4.1-1.0            5.5.0-1.0
                               units             2.17-1.1             2.18-1.0
                  vamp-aubio-plugins            0.5.1-3.0            0.5.1-3.1
                virtualbox-guest-iso           5.2.20-1.0           5.2.22-1.0
                             xalan-c           1:1.11-2.1           1:1.11-3.0
                               gitea                    -            1.5.3-2.0
                                 ivy                    -            2.4.0-5.0
                          prettyping                    -          1:1.0.1-2.0

Here’s an SDDM rebuild:

:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                               pamac              7.2.0-1              7.2.2-1
             pamac-tray-appindicator              7.2.0-1              7.2.2-1
                    xfce4-panel-gtk3             4.13.3-5             4.13.3-6
                                sddm                    -           0.18.0-1.2

#66

This latest unstable update has gone through without a hitch. Firefox, Thunderbird & Libre Office-Fresh work fine. However, I have observed since about a month at least that whichever Kernel I use even without any load both cores of the CPU seem to be at 100% which makes the computer sluggish. Since, I do have Manjaro KDE 64 bit on this machine, I can confirm that though RAM usage is higher on that OS, the computer is extremely responsive and runs cooler. It is possible that this could be temporary but it is important that this observation be noted because it has been mentioned by others though only in terms of Kernel 4.19. Thanks


#67

I broke my install with a partial update :roll_eyes: trying to avoid ICU issues, a few days ago. With the latest rebuild I was able to Manjaro-chroot and update. So my Cinnamon x32 is running again. Thanks for the rebuilds!


#68

Thanks, but still no buenu.

sddm-greeter[545]: Cannot mix incompatible Qt library (version 0x50b01) with this library (version 0x50b02)

What Qt library versions do these hex numbers actually refer to?

:thinking:

Is the mismatch between sddm and the sddm theme I am using?

Could it be the sddm-breath-theme package that needs a rebuild here?

Name            : sddm-breath-theme
...
Depends On      : plasma-framework  plasma-workspace

#69

It could be… or there’s another package somewhere along the dependency chain which is mismatched still.

Could you try an ldd $(which sddm-greeter) to see if it points out a Qt library?


#70
# ldd $(which sddm-greeter) | grep libQt
        libQt5Quick.so.5 => /usr/lib/libQt5Quick.so.5 (0xb7174000)
        libQt5Qml.so.5 => /usr/lib/libQt5Qml.so.5 (0xb6c1e000)
        libQt5Network.so.5 => /usr/lib/libQt5Network.so.5 (0xb6a31000)
        libQt5Gui.so.5 => /usr/lib/libQt5Gui.so.5 (0xb6447000)
        libQt5Core.so.5 => /usr/lib/libQt5Core.so.5 (0xb5f46000)

#71

0x05.0b.01 = 5.11.1
0x05.0b.02 = 5.11.2

I think so because it seems that only us with KDE have this problem.
Qt is backward compatible for the same major version and this error message appears only when a plugin loads another plugin that is linked against NEWER version of Qt. You can debug this by setting QT_DEBUG_PLUGINS=1 as environment variable and search the logs for qt plugins loaded by sddm and the version of linked qt for each - all mentioned in the log message.

I can’t switch to testing branch now as it seems to be a mess for plasma users.


#72

KDE PACKAGES!!!

:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                               gnupg           2.2.10-1.1           2.2.11-1.0
                               which             2.21-2.4             2.21-3.0


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                              attica           5.50.0-1.0           5.51.0-1.1
                               baloo           5.50.0-1.1           5.51.0-1.0
                            bluez-qt           5.50.0-1.0           5.51.0-1.1
                            calligra            3.1.0-9.0           3.1.0-12.0
                        cups-filters           1.21.1-1.0           1.21.3-3.0
                 extra-cmake-modules           5.51.0-1.0           5.52.0-1.0
                frameworkintegration           5.50.0-1.0           5.51.0-1.0
                            inkscape           0.92.3-4.0           0.92.3-6.0
                         kactivities           5.50.0-1.1           5.51.0-1.2
                   kactivities-stats           5.50.0-1.1           5.51.0-1.3
                             kajongg          18.08.2-1.0          18.08.3-1.0
                             kapidox           5.51.0-1.0           5.52.0-1.0
                            karchive           5.50.0-1.0           5.51.0-1.0
                               kauth           5.50.0-1.1           5.51.0-1.1
                          kbookmarks           5.50.0-1.1           5.51.0-1.0
                            kcmutils           5.50.0-1.1           5.51.0-1.0
                             kcodecs           5.50.0-1.1           5.51.0-1.0
                         kcompletion           5.50.0-1.1           5.51.0-1.1
                             kconfig           5.50.0-1.1           5.51.0-1.0
                      kconfigwidgets           5.50.0-1.1           5.51.0-1.1
                         kcoreaddons           5.50.0-1.1           5.51.0-1.0
                              kcrash           5.50.0-1.1           5.51.0-1.1
                         kdbusaddons           5.50.0-1.1           5.51.0-1.0
                        kdeclarative           5.50.0-1.1           5.51.0-1.0
                                kded           5.50.0-1.1           5.51.0-1.0
                         kdeedu-data          18.08.2-1.0          18.08.3-1.0
                     kdelibs4support           5.50.0-1.1           5.51.0-1.0
                     kdesignerplugin           5.50.0-1.1           5.51.0-1.0
                               kdesu           5.50.0-1.1           5.51.0-1.1
                           kdewebkit           5.50.0-1.1           5.51.0-1.0
                              kdnssd           5.50.0-1.1           5.51.0-1.0
                           kdoctools           5.50.0-1.1           5.51.0-1.1
                          kemoticons           5.50.0-1.1           5.51.0-1.0
                       kfilemetadata           5.50.0-1.1           5.51.0-1.0
                        kglobalaccel           5.50.0-1.1           5.51.0-1.1
                          kguiaddons           5.50.0-1.1           5.51.0-1.1
                           kholidays         1:5.50.0-1.1         1:5.51.0-1.0
                               khtml           5.50.0-1.1           5.51.0-1.0
                               ki18n           5.50.0-1.1           5.51.0-1.0
                         kiconthemes           5.50.0-1.1           5.51.0-2.0
                           kidletime           5.50.0-1.1           5.51.0-1.0
                       kimageformats           5.50.0-1.1           5.51.0-1.0
                               kinit           5.50.0-1.0           5.51.0-1.0
                                 kio           5.50.0-1.1           5.51.0-1.0
                           kirigami2           5.50.0-1.1           5.51.0-1.0
                         kitemmodels           5.50.0-1.1           5.51.0-1.0
                          kitemviews           5.50.0-1.1           5.51.0-1.1
                          kitinerary          18.08.2-1.0          18.08.3-1.0
                         kjobwidgets           5.50.0-1.1           5.51.0-1.0
                                 kjs           5.50.0-1.0           5.51.0-1.1
                            kjsembed           5.50.0-1.1           5.51.0-1.0
                        kmediaplayer           5.50.0-1.1           5.51.0-1.0
                           knewstuff           5.50.0-1.1           5.51.0-1.0
                      knotifications           5.50.0-1.1           5.51.0-1.0
                       knotifyconfig           5.50.0-1.1           5.51.0-1.0
                            kpackage           5.50.0-1.1           5.51.0-1.1
                              kparts           5.50.0-1.1           5.51.0-1.0
                             kpeople           5.50.0-1.1           5.51.0-1.1
                           kplotting           5.50.0-1.1           5.51.0-1.1
                                kpty           5.50.0-1.1           5.51.0-1.1
                               kross           5.50.0-1.1           5.51.0-1.0
                             krunner           5.50.0-1.1           5.51.0-1.0
                            kservice           5.50.0-1.1           5.51.0-1.0
                         ktexteditor           5.50.0-1.1           5.51.0-1.0
                        ktextwidgets           5.50.0-1.1           5.51.0-1.1
                     kunitconversion           5.50.0-1.1           5.51.0-1.1
                             kwallet           5.50.0-1.1           5.51.0-1.0
                            kwayland           5.50.0-1.1           5.51.0-1.0
                      kwidgetsaddons           5.50.0-1.1           5.51.0-1.0
                       kwindowsystem           5.50.0-1.1           5.51.0-1.0
                             kxmlgui           5.50.0-1.1           5.51.0-1.0
                       kxmlrpcclient           5.50.0-1.1           5.51.0-1.0
                          libgsystem  2015.2+4+gd606bec-12015.2+4+gd606bec-2.0
                          libsynctex       2018.47465-3.0       2018.47465-5.1
                             libyaml            0.2.1-1.0            0.2.1-1.1
                               meson           0.48.1-1.0           0.48.2-1.0
                     modemmanager-qt           5.50.0-1.1           5.51.0-1.1
                   networkmanager-qt           5.50.0-1.1           5.51.0-1.0
                               nginx           1.14.0-1.1           1.14.1-1.0
                      noto-fonts-cjk         20170601-2.0         20170601-3.0
                    plasma-framework           5.50.0-1.1           5.51.0-1.0
                             poppler           0.67.0-1.2           0.71.0-1.0
                        poppler-glib           0.67.0-1.2           0.71.0-1.0
                         poppler-qt5           0.67.0-1.2           0.71.0-1.0
                              prison           5.50.0-1.1           5.51.0-1.0
                             purpose           5.50.0-1.1           5.51.0-1.0
                 python-cryptography            2.3.1-1.1            2.4.1-1.0
                python2-cryptography            2.3.1-1.1            2.4.1-1.0
                  qqc2-desktop-style           5.50.0-1.1           5.51.0-1.1
                               solid           5.50.0-1.1           5.51.0-1.0
                              sonnet           5.50.0-1.1           5.51.0-1.1
                              spglib           1.11.0-1.3           1.11.1-1.0
                         syndication           5.50.0-1.1           5.51.0-1.0
                 syntax-highlighting           5.50.0-1.1           5.51.0-1.1
                         texlive-bin       2018.47465-5.0       2018.47465-5.1
                        threadweaver           5.50.0-1.1           5.51.0-1.1
                            wxmaxima          18.02.0-1.1          18.10.1-1.0


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                             compton              3.0-4.0              3.0-5.0
              deepin-desktop-schemas            3.3.1-1.0            3.4.0-1.0
                   deepin-icon-theme         15.12.60-2.0         15.12.64-1.0
                         dns-lexicon            3.0.1-2.0            3.0.2-1.0
                               encfs            1.9.5-1.1            1.9.5-2.1
                                eric            18.10-1.0            18.11-1.0
                         eric-common            18.10-1.0            18.11-1.0
                        eric-i18n-de            18.10-1.0            18.11-1.0
                        eric-i18n-en            18.10-1.0            18.11-1.0
                        eric-i18n-es            18.10-1.0            18.11-1.0
                        eric-i18n-ru            18.10-1.0            18.11-1.0
                              eslint            5.8.0-1.0            5.9.0-1.0
                             esptool            2.5.0-1.0            2.5.1-1.0
                           ext4magic              0.3.2-2            0.3.2-3.0
                          freeradius           3.0.17-4.0           3.0.17-6.0
                        gimp-help-ca              2.8.2-5            2.8.2-6.0
                        gimp-help-da              2.8.2-5            2.8.2-6.0
                        gimp-help-de              2.8.2-5            2.8.2-6.0
                        gimp-help-el              2.8.2-5            2.8.2-6.0
                        gimp-help-en              2.8.2-5            2.8.2-6.0
                     gimp-help-en_gb              2.8.2-5            2.8.2-6.0
                        gimp-help-es              2.8.2-5            2.8.2-6.0
                        gimp-help-fr              2.8.2-5            2.8.2-6.0
                        gimp-help-it              2.8.2-5            2.8.2-6.0
                        gimp-help-ja              2.8.2-5            2.8.2-6.0
                        gimp-help-ko              2.8.2-5            2.8.2-6.0
                        gimp-help-nl              2.8.2-5            2.8.2-6.0
                        gimp-help-nn              2.8.2-5            2.8.2-6.0
                     gimp-help-pt_br              2.8.2-5            2.8.2-6.0
                        gimp-help-ru              2.8.2-5            2.8.2-6.0
                        gimp-help-sl              2.8.2-5            2.8.2-6.0
                        gimp-help-sv              2.8.2-5            2.8.2-6.0
                     gimp-help-zh_cn              2.8.2-5            2.8.2-6.0
                             hashcat          1:4.2.1-1.1          1:5.0.0-1.0
                                  jq              1.5-6.1              1.6-1.0
                             kbibtex          1:0.8.1-2.1          1:0.8.1-3.0
                              kibana            6.4.2-1.0            6.4.3-1.0
                          libsavitar            3.4.1-2.1            3.5.1-1.0
                            logstash            6.3.2-1.0            6.4.2-1.0
                              lutris         0.4.21.1-1.0           0.4.23-1.0
                                mame            0.201-1.0            0.203-1.0
                           mosquitto            1.5.3-1.0            1.5.4-1.0
                             ngspice               28-1.1               29-1.1
                            pdf2djvu           0.9.10-1.0           0.9.10-3.0
                               pekwm           0.1.17-4.2           0.1.17-5.0
                            psi-l10n              1.3-4.1              1.3-4.2
                           py3status             3.13-1.0             3.14-1.0
         python-cryptography-vectors            2.3.1-1.0            2.4.1-1.0
                       python-pytest           3.10.0-1.0           3.10.1-1.0
                   python-sqlalchemy           1.2.13-1.0           1.2.14-1.0
                        python-webob            1.8.3-1.0            1.8.4-1.0
                   python-webob-docs            1.8.3-1.0            1.8.4-1.0
        python2-cryptography-vectors            2.3.1-1.0            2.4.1-1.0
                        python2-eric            18.10-1.0            18.11-1.0
                      python2-pytest           3.10.0-1.0           3.10.1-1.0
                  python2-sqlalchemy           1.2.13-1.0           1.2.14-1.0
                       python2-webob            1.8.3-1.0            1.8.4-1.0
                         qutebrowser            1.4.2-1.0            1.5.2-1.0
                           sleuthkit            4.6.3-1.0            4.6.4-1.0
                         soapyrtlsdr            0.2.5-2.2            0.2.5-3.0
                  tesseract-data-afr        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-amh        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-ara        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-asm        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-aze        1:3.04.00-1.1          1:4.0.0-1.0
             tesseract-data-aze_cyrl        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-bel        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-ben        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-bod        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-bos        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-bul        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-cat        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-ceb        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-ces        1:3.04.00-1.1          1:4.0.0-1.0
              tesseract-data-chi_sim        1:3.04.00-1.1          1:4.0.0-1.0
              tesseract-data-chi_tra        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-chr        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-cym        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-dan        1:3.04.00-1.1          1:4.0.0-1.0
             tesseract-data-dan_frak        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-deu        1:3.04.00-1.1          1:4.0.0-1.0
             tesseract-data-deu_frak        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-dzo        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-ell        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-eng        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-enm        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-epo        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-equ        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-est        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-eus        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-fas        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-fin        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-fra        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-frk        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-frm        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-gle        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-glg        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-grc        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-guj        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-hat        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-heb        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-hin        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-hrv        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-hun        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-iku        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-ind        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-isl        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-ita        1:3.04.00-1.1          1:4.0.0-1.0
              tesseract-data-ita_old        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-jav        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-jpn        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-kan        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-kat        1:3.04.00-1.1          1:4.0.0-1.0
              tesseract-data-kat_old        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-kaz        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-khm        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-kir        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-kor        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-kur        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-lao        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-lat        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-lav        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-lit        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-mal        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-mar        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-mkd        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-mlt        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-msa        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-mya        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-nep        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-nld        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-nor        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-ori        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-pan        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-pol        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-por        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-pus        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-ron        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-rus        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-san        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-sin        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-slk        1:3.04.00-1.1          1:4.0.0-1.0
             tesseract-data-slk_frak        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-slv        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-spa        1:3.04.00-1.1          1:4.0.0-1.0
              tesseract-data-spa_old        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-sqi        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-srp        1:3.04.00-1.1          1:4.0.0-1.0
             tesseract-data-srp_latn        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-swa        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-swe        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-syr        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-tam        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-tel        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-tgk        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-tgl        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-tha        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-tir        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-tur        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-uig        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-ukr        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-urd        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-uzb        1:3.04.00-1.1          1:4.0.0-1.0
             tesseract-data-uzb_cyrl        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-vie        1:3.04.00-1.1          1:4.0.0-1.0
                  tesseract-data-yid        1:3.04.00-1.1          1:4.0.0-1.0
                            tinyxml2            6.2.0-1.1            7.0.0-2.0
                             ucblogo                6.0-7              6.0-8.0
                                 urh            2.2.4-3.0            2.4.1-1.0
                                wine             3.15-1.0             3.19-1.0
                        wine-staging             3.16-1.1             3.19-1.0
                         python-flup                    -            1.0.3-1.0
                        python2-flup                    -            1.0.3-1.0

#73

Still not booting, which update also generated a lot of empty file messages.

...
(78/78) upgrading which     [#################################] 100%
ldconfig: File /usr/lib/libsvn_ra_serf-1.so.0.0.0 is empty, not checked.
ldconfig: File /usr/lib/libmagic.so is empty, not checked.
ldconfig: File /usr/lib/libsvn_ra-1.so.0.0.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_delta-1.so.0.0.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_fs_x-1.so.0.0.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_ra_serf-1.so.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_fs_util-1.so is empty, not checked.
ldconfig: File /usr/lib/libupower-glib.so is empty, not checked.
ldconfig: File /usr/lib/libsvn_fs_base-1.so is empty, not checked.
ldconfig: File /usr/lib/libsvn_auth_gnome_keyring-1.so is empty, not checked.
ldconfig: File /usr/lib/libsvnjavahl-1.so is empty, not checked.
ldconfig: File /usr/lib/libsvn_auth_kwallet-1.so.0.0.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_repos-1.so.0.0.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_swig_perl-1.so.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_ra-1.so.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_client-1.so.0.0.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_fs_fs-1.so.0.0.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_ra_svn-1.so.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_swig_ruby-1.so is empty, not checked.
ldconfig: File /usr/lib/libsvn_subr-1.so.0.0.0 is empty, not checked.
ldconfig: File /usr/lib/libsvnjavahl-1.so.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_fs_util-1.so.0.0.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_wc-1.so.0.0.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_fs_fs-1.so is empty, not checked.
ldconfig: File /usr/lib/libsvn_subr-1.so.0 is empty, not checked.
ldconfig: File /usr/lib/libmagic.so.1.0.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_swig_perl-1.so is empty, not checked.
ldconfig: File /usr/lib/libsvn_fs_base-1.so.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_swig_perl-1.so.0.0.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_repos-1.so.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_wc-1.so is empty, not checked.
ldconfig: File /usr/lib/libsvn_client-1.so is empty, not checked.
ldconfig: File /usr/lib/libsvnjavahl-1.so.0.0.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_swig_py-1.so.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_ra_local-1.so.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_auth_kwallet-1.so.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_auth_gnome_keyring-1.so.0.0.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_repos-1.so is empty, not checked.
ldconfig: File /usr/lib/libsvn_fs-1.so.0.0.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_ra-1.so is empty, not checked.
ldconfig: File /usr/lib/libsvn_ra_svn-1.so is empty, not checked.
ldconfig: File /usr/lib/libupower-glib.so.3.0.1 is empty, not checked.
ldconfig: File /usr/lib/libsvn_swig_ruby-1.so.0 is empty, not checked.
ldconfig: File /usr/lib/libmagic.so.1 is empty, not checked.
ldconfig: File /usr/lib/libsvn_diff-1.so.0.0.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_fs_fs-1.so.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_diff-1.so.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_fs_x-1.so.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_swig_py-1.so is empty, not checked.
ldconfig: File /usr/lib/libsvn_subr-1.so is empty, not checked.
ldconfig: File /usr/lib/libsvn_auth_kwallet-1.so is empty, not checked.
ldconfig: File /usr/lib/libsvn_diff-1.so is empty, not checked.
ldconfig: File /usr/lib/libupower-glib.so.3 is empty, not checked.
ldconfig: File /usr/lib/libsvn_delta-1.so is empty, not checked.
ldconfig: File /usr/lib/libsvn_wc-1.so.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_swig_py-1.so.0.0.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_delta-1.so.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_ra_local-1.so is empty, not checked.
ldconfig: File /usr/lib/libsvn_fs_base-1.so.0.0.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_ra_serf-1.so is empty, not checked.
ldconfig: File /usr/lib/libsvn_fs-1.so.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_ra_svn-1.so.0.0.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_client-1.so.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_auth_gnome_keyring-1.so.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_fs-1.so is empty, not checked.
ldconfig: File /usr/lib/libsvn_swig_ruby-1.so.0.0.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_fs_x-1.so is empty, not checked.
ldconfig: File /usr/lib/libsvn_fs_util-1.so.0 is empty, not checked.
ldconfig: File /usr/lib/libsvn_ra_local-1.so.0.0.0 is empty, not checked.
...

#74

testing or unstable??


#75

I think there is something wrong with this sync log: x32-testing column shows the versions of x32-stable branch and x32-unstable column shows those of x32-testing!!


#76

Adobe Flash Player
(https://www.adobe.com/go/getflash) to take advantage of security updates.

Platform Browser Player version

|Linux|Firefox - NPAPI|31.0.0.148|
|Chrome (embedded) - PPAPI|31.0.0.148|
|Opera, Chromium-based browsers - PPAPI|31.0.0.148|
|ChromeOS|ChromeOS - PPAPI|31.0.0.148|


#77

I’ll do this tomorrow.

Big sync just finished, ~1500 changed packages.

Total tally of ~7000 changed packages between x32-stable and x32-testing. :grimacing:


#78

Failed to prepare transaction:
could not satisfy dependencies:
unable to satisfy dependency ‘libx265.so=160-32’ required by ffmpeg


#79

Installed w/out these two items (ffmpeg & x265) & all went well…


#80

Applying broken update after broken update and now the VM system is damaged beyond repair … again.

Pacman updates won’t complete, simply crashes with unexpected error. Individual packages cannot be re-installed either.

Second time in a couple of months, doing nothing but applying testing updates, after moving from unstable. Is there a better method than this?

Is Arch32 Stable this broken for its users?

Genuinely admire the efforts of all involved, @jonathon and upstream, but with the serious resource constraints it feels like a dead horse is being flogged.

I think I still have an old ova backup somewhere, see if I can find it and import it … third time is a charm?

As an aside … is sudo pacman -Syuu --overwrite * meant to be functionally equivalent to sudo pacman -Syuu --force?


#81

:sob:

I don’t think so. I haven’t seen the issues you’re seeing on either my test VM(s) or my EeePC 901 so I don’t know why you’re “different”…

It could well be. Then again, it has kept my specific i686 hardware alive for the last year.

The time I’ve invested is probably worth quite a bit more than the cost of buying several new x86_64 machines though… :roll_eyes:

Kind of, though there were other things that --force could do that were dangerous. --overwrite is more along the lines of dpkg’s --force-overwrite (and dpkg has many different “force” options).